.TH getmatrix  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
getmatrix - gets the data stored(as a matrix) in an object figure

.SH CALLING SEQUENCE
.nf
res = getmatrix(f, s)
.fi

.SH PARAMETERS
.TP 10
f    : 
object figure number      
.TP 10
s    :      
string argument specifying the name with which the data(as a matrix) 
is stored in the figure
.TP 10
res  :      
the matrix stored in the "object figure".
 
.SH DESCRIPTION
\fVgetmatrix\fR gets the data stored(as a matrix) in an "object figure"
just like "get" function(which outputs a stored data as a list) for 
"object figure". but this function works even for a huge data, and outputs ...
a matrix but not a list.  

.SH EXAMPLE 
.nf 
f = figure();
s = "setdata";
setmatrix(f, s, [1:200; 1:200]);
res = getmatrix(f, s);
close(f);
.fi

.SH SEE ALSO
setmatrix

.SH AUTHOR
Bhaskara Reddy Poluru

