.TH polclass_demo  "July 2002" "Presto Group" "scilab function"
.so ../sci.an
 
.SH NAME 
polclass_demo - a GUI for interactive polygon classification

.SH CALLING SEQUENCE
.nf
polclass_demo() it has varargin as follows:
polclass_demo([["setpoly",pol]...] [,"high_index",hfc] [,"low_index", lfc] [,"printfeatures"])
.fi

.SH PARAMETERS
.TP 18
"setpoly"     :      
optional string parameter, for setting the sample polygon to compare with the inputpolygon to classify, a 2*n matrix should follow this argument. the set of these two can be repeated any number of times. default values are given by a list of E, F, L, T polygons. 
.TP 18
"high_index"  :      
optional string parameter, for setting the index of high frequency fourier co-ef.s, this argn should be followed by an integer
.TP 18
"low_index"   :      
optional string parameter, for setting the index of low frequency fourier co-ef.s, this argn should be followed by an integer
.TP 18
"pfeatures"   :      
optional string parameter, if the user wants to print the feature vectores to the scilab window.


.SH DESCRIPTION
\fVpolclass_demo\fR takes the polygons given by the user with the argument "setpoly", otherwise the default values E, F, L, T then displays a GUI showing the features to be selected, "new polygon" and "classify polygon" buttons. first user has to click "new polygon" button for drawing a polygon interactively. then he has to make sure that at least one feature is selected in the list, then has to click the "classify polygon" button to see the classification of the inputpolygon. more detailed information is available in the help button in the GUI object of this demo. sample demo is also available in the patrec_demos list or in the pattern-recognition-demos in the list obtained by all_demos function or "Demos" button in the scilab-environment window toolbar. 

.SH EXAMPLE 
.nf 
polclass_demo();
.fi

.SH SEE ALSO
patrec_demos, polstar_demo, Fc_demo

.SH AUTHOR
Bhaskara Reddy Poluru

