function res = CT_DI(f1, f2, x)
//-----------------------------------------------------------------------  
// function res = CT_DI(f1, f2, x)
//
// perform CT_DI-Transformation 
//
// input:    f1, f2      commutative functions with calling syntax     
//                       r = f1(a,b) where a,b,r are equally sized
//                       matrices and r contains the results of 
//                       elementwise dyadic operation.                      
//           x           matrix to be transformed 
//
// output:   res         transformation of x. 
//
//-----------------------------------------------------------------------  
//   $RCSfile: CT_DI.sci,v $
//  $Revision: 1.1 $
//      $Date: 2002/09/10 15:15:36 $
//  Copyright: IIF-LMB $Author: poluru $
//
//-----------------------------------------------------------------------
//  $Log: CT_DI.sci,v $
//  Revision 1.1  2002/09/10 15:15:36  poluru
//  "macros" directory structure is created
//
//  Revision 1.1  2002/05/06 16:43:57  haasdonk
//  inserted files from lecture WS0102 / SS02
//
//-----------------------------------------------------------------------
  
  res = CT_ZS(f1,f2,w_DI(x))
  
endfunction;