.TH QT_ZS  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME
QT_ZS - 2D-translation-invariant CT_ZS-Transformation of matrices with functions pairwise-addition and squared-difference

.SH CALLING SEQUENCE
.nf
res = QT_ZS(x)
.fi

.SH PARAMETERS
.TP 10
x    :      
a matrix to be processed by the QT_ZS.
.TP 10
res  :       
matrix of the result of the QT_ZS transformation of x.

.SH DESCRIPTION
\fVQT_ZS\fR (is a matrix transformation) performs CT_ZS transformation (i.e. 
first columns are processed and then rows) using the commutative functions  
pairwise-addition and squared-difference on the given matrix x.

.SH EXAMPLE 
.nf 
x = [1 2; 3 4];
res = QT_ZS(x);  
.fi

.SH SEE ALSO
CT, CT_DI, CT_SZ, CT_ZS, MT, MT_DI, MT_SZ, MT_ZS, 
QT, QT_DI, QT_SZ, RT, RT_DI, RT_SZ, RT_ZS

.SH AUTHOR
Bernard Haasdonk

