.TH fcycltrans  "July 2002" "Presto Group" "scilab function"
.so ../sci.an

.SH NAME 
fcycltrans - fast implementation of cyclic translation for matrices.

.SH CALLING SEQUENCE
.nf
res = fcycltrans(mat, m, n)
.fi

.SH PARAMETERS
.TP 10
mat   :
arbitrary typed matrix to be translated.
.TP 10
m     :
shift in y-Direction = first matrix-dimension, integer value.
.TP 10
n     :    
shift in x-Direction = second matrix-dimension integer value.
.TP 10
res   :      
cyclic translated matrix.
.SH DESCRIPTION
\fVfcycltrans\fR implements fast cyclic translation of matrices.
e.g. fcycltrans([1 2 3; 4 5 6; 7 8 9], 1,1) = [5 6 4; 8 9 7 ; 2 3 1]


.SH EXAMPLE 
.nf 
mat = [1 2 3; 4 5 6; 7 8 9];
res = fcycltrans(mat, 1, 1);  
.fi

.SH SEE ALSO
cycltrans

.SH AUTHOR
Bernard Haasdonk


